Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004741OCamlOCaml generalpublic2009-03-09 15:462010-04-28 14:10
Reporterpogma 
Assigned Toxleroy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.12.0+dev 
Summary0004741: utils/ccomp.ml orders -l flags before -L flags
DescriptionWhen building unison with Ocaml-3.11.0 and lablgtk-2.12.0 we saw build failures on solaris because it output, for example "-lpixman ... -L/opt/TWWfsw/libcairo16/lib" resulting in ld complaining that it could not find libpixman.so (there were other libraries listed in the failure too).

This small patch fixed it for us.
TagsNo tags attached.
Attached Filesdiff file icon ocaml-ccomp.diff [^] (553 bytes) 2009-03-09 15:46 [Show Content]

- Relationships

-  Notes
(0005402)
xleroy (administrator)
2010-04-28 14:10

Thanks for the patch. I guess some linkers are more sensitive than others to the order of arguments and flags. Patch applied in SVN trunk, will go in 3.12.0.

- Issue History
Date Modified Username Field Change
2009-03-09 15:46 pogma New Issue
2009-03-09 15:46 pogma File Added: ocaml-ccomp.diff
2009-04-29 15:38 doligez Status new => acknowledged
2010-04-18 19:49 xleroy Status acknowledged => assigned
2010-04-18 19:49 xleroy Assigned To => xleroy
2010-04-28 14:10 xleroy Note Added: 0005402
2010-04-28 14:10 xleroy Status assigned => closed
2010-04-28 14:10 xleroy Resolution open => fixed
2010-04-28 14:10 xleroy Fixed in Version => 3.12.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker